package fortyonepost.com.orientationbrec; // 41 Post - Created by DimasTheDriver on Apr/03/2012 . Part of the 'Android: Obtaining the current orientation using a BroadcastReceiver' post. Available at: http://www.41post.com/?p=4696 

import android.app.Activity;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;

public class OrientationBroadcastReceiverActivity extends Activity 
{
	//Create and initialize an OrientationBroadcastReceiver object
	private OrientationBroadcastReceiver orientationBR = new OrientationBroadcastReceiver();
	//Create and initialize a new IntentFilter
	private IntentFilter orientationIF = new IntentFilter(Intent.ACTION_CONFIGURATION_CHANGED);
	
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) 
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);     
    }
    
	@Override
	protected void onResume() 
	{
		//Register the Orientation BroadcasReceiver
        this.registerReceiver(orientationBR, orientationIF);
		super.onResume();
	}

	@Override
	protected void onPause()
	{
		//Unregister the Orientation BroadcasReceiver to avoid a BroadcastReceiver leak
		this.unregisterReceiver(orientationBR);
		super.onPause();
	}
}